// @/components/main/kabelueberwachung/kue705FO/handlers/firmwareUpdate.ts
export default async function firmwareUpdate(
  slot: number
): Promise<{ message: string }> {
  const isDev =
    typeof window !== "undefined" && window.location.hostname === "localhost";
  const url = isDev
    ? `${window.location.origin}/api/cpl/kueSingleModuleUpdateMock?slot=${
        slot + 1
      }`
    : `${window.location.origin}/CPL?Service/ae.ACP&KSU${slot}=1`;

  try {
    const response = await fetch(url, { method: "GET" });

    if (!response.ok) {
      throw new Error(`Fehler: Status ${response.status}`);
    }

    const data = await response.json();

    //alert(data.message || `Update an Slot ${slot + 1} erfolgreich gestartet!`);
    const message =
      data.message || `Update an Slot ${slot + 1} erfolgreich gestartet!`;
    console.log(message);
    return { message };
  } catch (error) {
    console.error("Fehler:", error);
    //alert("Fehler beim Update!");
    return { message: "Fehler beim Update!" };
  }
}
